/* $Id: Base.h,v 1.6 91/02/06 09:58:04 cwcork Exp Locker: cwcork $
 *
 * $File: Base.h $
 *
 * $Revision: 1.6 $
 * $State: Exp $
 * $Author: cwcork $
 *
 * (C) Copyright 1990 Carl Cork. All rights reserved.
 * Permission to copy for any purpose is hereby granted so long
 * as this copyright notice remains intact.
 *
 * $Log:	Base.h,v $
 * Revision 1.6  91/02/06  09:58:04  cwcork
 * Minor clean up.
 * 
 * Revision 1.5  91/01/26  08:57:37  cwcork
 * Add error codes.
 * 
 * Revision 1.4  90/10/01  08:29:52  cwcork
 * Add BIT type declaration using define statement.
 * 
 * Revision 1.3  90/06/21  16:19:59  cwcork
 * Fix rev 1.2 log entry
 * 
 * Revision 1.2  90/06/21  12:50:12  cwcork
 * Add PVOID typedef.
 * split ADDR and STRING for separate line specs.
 * 
 * Revision 1.1  90/06/06  07:30:58  cwcork
 * Initial revision
 * 
 *
 * PURPOSE:
 *  Descriptors, common base types.
 *
 * COMMENTS:
 * KNOWN BUGS:
 */
#ifndef BASE_H
#define BASE_H 1
/*------------------------ External Declarations -----------------------------*/

/* Status error return codes */

#define ERROR_EADR		1  /* Device not addressed correctly */
#define ERROR_EARG		2  /* Invalid argument to function call */
#define ERROR_EABO		3  /* I/O transfer aborted */
#define ERROR_ECMD		4  /* Command error during device function */
#define ERROR_EBUS		5  /* Bus error during device function */
#define ERROR_ETMW	        6  /* Timeout on wait function */
#define ERROR_EMEM		7  /* Memory allocation error */
#define ERROR_ERMT		8  /* Remote procedure call error */

/* Basic type definitions */

#define BIT	unsigned

typedef void*		PVOID;
typedef char*           ADDR;
typedef char*           STRING;
typedef          char   CHAR, BOOL_1, INT_1;
typedef unsigned char   BYTE, UCHAR, UINT_1;
typedef          short  INT_2, BOOL_2;
typedef unsigned short  UINT_2;
typedef          int    INT;
typedef          long   INT_4, BOOL_4;
typedef unsigned long   UINT_4;
typedef          float  REAL_4, REAL;
typedef          double REAL_8;

/*------------------------ Exported Function Prototypes ----------------------*/
/*------------------------ Exported Variables --------------------------------*/
/*--------------------------------- END --------------------------------------*/
#endif BASE_H
