/* $Id: Mv300Dev.h,v 1.4 91/02/06 11:38:50 cwcork Exp Locker: cwcork $
 *
 * $File: Mv300Dev.h $
 *
 * $Revision: 1.4 $
 * $State: Exp $
 * $Author: cwcork $
 *
 * (C) Copyright 1990 Carl Cork. All rights reserved.
 * Permission to copy for any purpose is hereby granted so long
 * as this copyright notice remains intact.
 *
 * $Log:	Mv300Dev.h,v $
 * Revision 1.4  91/02/06  11:38:50  cwcork
 * Changes to use ../include files.
 * 
 * Revision 1.3  91/01/26  09:03:53  cwcork
 * Replace $ with _ in all defined constants.
 * 
 * Revision 1.2  90/09/14  17:21:28  cwcork
 * Move hidden structure declaration for MV300DEV 
 * into module Mv300Dev.c
 * 
 * Revision 1.1  90/08/01  14:55:20  cwcork
 * Initial revision
 * 
 *
 * PURPOSE:
 *  Descriptor File, Device Control Module
 *  for Motorola MVME300 IEEE-488 (GPIB) bus controller.
 *
 * COMMENTS:
 * KNOWN BUGS:
 */
#ifndef MV300DEV_H
#define MV300DEV_H 1

/*======================== External Declarations =============================*/
#include "Mv300.h"
#include "Mv300Brd.h"

/* Device Control ID */

#ifndef MV300DEV_C
typedef unsigned int MV300_DEV_ID;
#endif  MV300DEV_C

/*======================== Exported Function Prototypes ======================*/
/*------------------------- Create and Forget --------------------------------*/
IMPORT STATUS Mv300DevCreate ();
IMPORT STATUS Mv300DevForget ();
/*------------------------- Device functions ---------------------------------*/
IMPORT STATUS Mv300DevBrdIdGet ();
IMPORT STATUS Mv300DevBrdIdSet ();
IMPORT STATUS Mv300DevClear ();
IMPORT STATUS Mv300DevConfRd ();
IMPORT STATUS Mv300DevConfWrt ();
IMPORT STATUS Mv300DevLocal ();
IMPORT STATUS Mv300DevPPoll ();
IMPORT STATUS Mv300DevPPollByte ();
IMPORT STATUS Mv300DevRead ();
IMPORT STATUS Mv300DevSPoll ();
IMPORT STATUS Mv300DevStatus ();
IMPORT STATUS Mv300DevTrigger ();
IMPORT STATUS Mv300DevWrite ();
/*========================= Exported Variables ===============================*/
/*================================= END ======================================*/
#endif MV300DEV_H
